'Add a reference to System.Management
Imports System.Management

Public Class Form1
    Private m_Results As List(Of ManagementObject)

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        m_Results = New List(Of ManagementObject)

        Dim searcher As New ManagementObjectSearcher("SELECT * FROM Win32_process")
        For Each result As ManagementObject In searcher.Get()
            lstCaptions.Items.Add(result.Item("Caption"))

            m_Results.Add(result)
        Next result
    End Sub

    Private Sub lstCaptions_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstCaptions.SelectedIndexChanged
        ShowDetail()
    End Sub

    ' Show the detail for the selection.
    Private Sub ShowDetail()
        If lstCaptions.SelectedIndex < 0 Then Exit Sub

        Dim result As ManagementObject = m_Results.Item(lstCaptions.SelectedIndex)

        Dim txt As String
        If radMof.Checked Then
            txt = result.GetText(TextFormat.Mof).ToString()
        ElseIf radCimDtd20.Checked Then
            txt = result.GetText(TextFormat.CimDtd20).ToString()
        Else
            txt = result.GetText(TextFormat.WmiDtd20).ToString()
        End If

        txt = txt.Replace(vbLf, vbCrLf)
        txt = txt.Trim()
        txtDetails.Text = txt
    End Sub

    Private Sub radMof_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles radMof.Click
        ShowDetail()
    End Sub

    Private Sub radCimDtd20_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles radCimDtd20.Click
        ShowDetail()
    End Sub

    Private Sub radWmiDtd20_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles radWmiDtd20.Click
        ShowDetail()
    End Sub
End Class
